using Microsoft.Data.SqlClient;
using Npgsql;
using System.Data;
using Yuna.Website.Server.Infrastructure;

namespace Yuna.Website.Server.Storage
{
    public class DapperContext
    {
        private readonly IConfiguration _configuration;

        public DapperContext(IConfiguration configuration)
        {
            _configuration = configuration;
        }

        public DapperContext(bool isTest)
        {
            _configuration = null!;
        }

        
        public  IDbConnection Connection => new NpgsqlConnection(Settings.DbConnectionStr);


            
  
    }
}
